Bug 90010 - Hard Drive install should report ALL missing ISOs
Hard Drive install should report ALL missing ISOs
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: installer (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-04-30 22:15 EDT by NILMONI DEB
Modified: 2007-04-18 12:53 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-24 15:05:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description NILMONI DEB 2003-04-30 22:15:10 EDT
Description of problem: 
I am doing an install from hard drive (from ISOs). The installer asks for the location 
of the ISOs and then goes on to all types of configuration (partitioning, mouse, 
timezone, networking, security ......) and then asks for type of installtion. I choose 
custom. It then tells me that the installation must abort since I do not have the 2nd 
ISO. After which it reboots. 
 
I download 2nd ISO and go thru the entire process. This time it comes to the same 
stage and aborts after giving the message that it needs the 3rd ISO too !! 
 
Why does it not tell me what ISOs it needs _right_ when I supply it the path of the 
ISOs ? This is a very stupid behavior of the installer to wait till the last moment and 
then give an error message that can and should be given much much earlier. 
 
Version-Release number of selected component (if applicable): 
 
 
How reproducible: 
 
Always 
 
Steps to Reproduce: 
1. See above. 
2. 
3. 
     
Actual results: 
 
See above 
 
Expected results: 
 
The moment the user supplies the path of the ISO images, the installer should check 
and tell if it has all the ISOs it needs. If not, it should tell the user which ISOs it 
needs to get the job done. Also, half-way messages like "2nd ISO missing" when 
actually it needs _both_ 2nd and 3rd ISOs are hardly helpful. The message should 
tell the whole of the truth, not part of it. 
 
Additional info:
Comment 1 Michael Fulbright 2003-05-01 11:20:37 EDT
We cant tell at the beginning of the install which ISOs will be required. So the
check has to be after you select all the packages you want installed.

We can improve the message to report ALL missing ISOs, not just the first
missing ISO.
Comment 2 Michael Fulbright 2003-05-13 15:07:45 EDT
Fixed in internal tree.
Comment 3 NILMONI DEB 2003-05-13 17:01:09 EDT
>We cant tell at the beginning of the install which ISOs will be required. So the 
>check has to be after you select all the packages you want installed. 
 
You got me wrong. The message about missing ISOs comes just after I select the 
installation type but _before_ I have selected any package. So your reasoning does 
not apply. 
 
In any case, I don't see why such a message should appear even _after_ package 
selection. Isn't the installer supposed to list only those packages that are available ? 
Comment 4 Jeremy Katz 2006-04-24 15:05:00 EDT
Mass-closing lots of old bugs which are in MODIFIED (and thus presumed to be
fixed).  If any of these are still a problem, please reopen or file a new bug
against the release which they're occurring in so they can be properly tracked.

Note You need to log in before you can comment on or make changes to this bug.